Skip to main content
GET
/
v2
/
addresses
/
validate
curl
curl -i -X GET \
'https://api.goshippo.com/v2/addresses/validate?name=Wilson&organization=Shippo&address_line_1=731%20Market%20Street&address_line_2=%23200&city_locality=San%20Francisco&state_province=CA&postal_code=94103&country_code=US' \
-H 'Authorization: ShippoToken <API_TOKEN>'
{
  "original_address": {
    "address_line_1": "<string>",
    "address_line_2": "<string>",
    "city_locality": "<string>",
    "state_province": "<string>",
    "postal_code": "<string>",
    "country_code": "<string>",
    "name": "<string>",
    "organization": "<string>",
    "phone": "<string>",
    "email": "jsmith@example.com"
  },
  "analysis": {
    "validation_result": {
      "value": "valid",
      "reasons": []
    },
    "address_type": "unknown",
    "changed_attributes": [
      "address_line_1"
    ]
  },
  "recommended_address": {
    "confidence_result": {
      "code": "<string>",
      "score": "high",
      "description": "<string>"
    },
    "address_line_1": "<string>",
    "address_line_2": "<string>",
    "city_locality": "<string>",
    "state_province": "<string>",
    "postal_code": "<string>",
    "country_code": "<string>",
    "name": "<string>",
    "organization": "<string>",
    "phone": "<string>",
    "email": "jsmith@example.com",
    "complete_address": "<string>"
  },
  "geo": {
    "latitude": 123,
    "longitude": 123
  }
}

Authorizations

Authorization
string
header
default:ShippoToken shippo_test_d41a6f04796998570c521a50828eae8e3cccf0eb
required

Enter your shippo token with the ShippoToken prefix.

Example: ShippoToken shippo_live_xxxx

Query Parameters

name
string

The name of the addressee

Maximum string length: 64
Example:

"Wilson"

organization
string

The organization of the addressee

Maximum string length: 100
Example:

"Shippo"

address_line_1
string
required

The first line of the address

Required string length: 1 - 100
Example:

"731 Market Street"

address_line_2
string

The second line of the address

Maximum string length: 50
Example:

"#200"

city_locality
string

The city or locality of the address

Maximum string length: 64
Example:

"San Francisco"

state_province
string

The state, province, county, or municipal division

Maximum string length: 32
Example:

"CA"

postal_code
string

The postal code or zip code

Maximum string length: 16
Example:

"94103"

country_code
enum<string>
required

The ISO 3166 country code

Available options:
AE,
AR,
AT,
AU,
AX,
AZ,
BA,
BD,
BE,
BG,
BH,
BM,
BN,
BR,
BS,
BW,
BY,
CA,
CH,
CL,
CO,
CN,
CY,
CZ,
DE,
DK,
EC,
EE,
EG,
ES,
FI,
FO,
FR,
GB,
GE,
GF,
GG,
GI,
GP,
GR,
GU,
HK,
HR,
HU,
ID,
IE,
IL,
IM,
IN,
IS,
IT,
JE,
JO,
JP,
KR,
KY,
KW,
KZ,
LB,
LI,
LT,
LU,
LV,
MA,
MC,
MD,
ME,
MK,
MO,
MP,
MQ,
MT,
MX,
MY,
NA,
NL,
NO,
NZ,
OM,
PE,
PH,
PL,
PM,
PR,
PT,
PY,
QA,
RE,
RO,
RU,
SA,
SC,
SE,
SG,
SI,
SK,
SM,
SR,
TH,
TN,
TR,
TW,
UA,
US,
UY,
VN,
WE,
YT,
ZA
Example:

"US"

Response

Successful Response

original_address
OriginalAddress · object
required
analysis
Analysis · object
required

The recommended address is an address we recommend the consumer to use. The attributes have less constraints all values may be NoneType

geo
Geo · object